#!/usr/bin/python3
# -*- coding: utf-8 -*-

import sys, os
from PyQt5 import Qt, uic

class MainWindow(Qt.QMainWindow):
	def __init__(self):
		super(MainWindow, self).__init__()
		uic.loadUi("combo.ui", self)

		self.setupUi()
		self.show()

	def setupUi(self):
		self.debugCombo.addItem("Debug Off", '0x00000000')
		self.debugCombo.addItem("Debug Configuration", '0x00000002')
		self.debugCombo.addItem("Debug Task Issues", '0x00000008')
		self.debugCombo.addItem("Debug NML", '0x00000010')
		self.debugCombo.addItem("Debug Motion Time", '0x00000040')
		self.debugCombo.addItem("Debug Interpreter", '0x00000080')
		self.debugCombo.addItem("Debug RCS", '0x00000100')
		self.debugCombo.addItem("Debug Interperter List", '0x00000800')
		self.debugCombo.addItem("Debug IO Control", '0x00001000')
		self.debugCombo.addItem("Debug Remap", '0x00004000')
		self.debugCombo.addItem("Debug Python", '0x00008000')
		self.debugCombo.addItem("Debug Named Parameters", '0x00010000')
		self.debugCombo.addItem("Debug Gdbon Signal", '0x00020000')
		self.debugCombo.addItem("Debug Python Task", '0x00040000')
		self.debugCombo.addItem("Debug User 1", '0x10000000')
		self.debugCombo.addItem("Debug User 2", '0x20000000')
		self.debugCombo.addItem("Debug Unconditional", '0x40000000')
		self.debugCombo.addItem("Debug All", '0x7FFFFFFF')
		self.debugCombo.activated.connect(self.onActivated)

	def onActivated(self, index):
		data = self.debugCombo.currentData()
		self.debugLabel.setText(data)


if __name__ == "__main__":
	app = Qt.QApplication(sys.argv)
	ex = MainWindow()
	sys.exit(app.exec_())
